• Insights

iManage On-Premises Vulnerability

Brian Podolsky

< 1 min read

All Insights

iManage recently announced an RPC protocol vulnerability in on-premises iManage Work Servers that it classifies as a “High severity security issue.”

For firms running iManage Work 10.2, the recommended upgrade is to the following build: 10.2.2.259. This does not require a schema update from earlier 10.2 releases.

For firms running iManage Work 10.3, the recommended upgrade is to the following build: 10.3.1.336. This also does not require a schema update from earlier 10.3 releases.

More details are available at the iManage Help site here (login required): https://help.imanage.com/hc/en-us/articles/360053900233-home

If your firm requires any assistance regarding this vulnerability, please reach out.